cURL
curl --request GET \
--url https://api.diversion.dev/v0/repos/{repo_id}/commits/{commit_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/commits/{commit_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/commits/{commit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"commit_id": "example_id",
"created_ts": 123,
"branch_id": "<string>",
"author": {
"id": "<string>",
"image": "<string>",
"email": "jsmith@example.com",
"full_name": "<string>",
"name": "<string>"
},
"parents": [
"<string>"
],
"commit_message": "<string>"
}{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}Repository Commit Manipulation
Get commit details
Get details of a specific commit
GET
/
repos
/
{repo_id}
/
commits
/
{commit_id}
cURL
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
A commit ID
Required string length:
3 - 128Example:
"dv.commit.350e1bc3-52dc-4659-9817-7ce8f3fdf628"
Response
An object describing a commit
Required string length:
3 - 128Example:
"example_id"
Seconds since epoch UTC
The branch on which this commit was created
Details of the user who added the commit
Show child attributes
Show child attributes
List of parent commits of this commit

